/**
 * RoleClassAdministerableMaterial2.java
 *
 * File generated from the medication2::RoleClassAdministerableMaterial2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassAdministerableMaterial2.
 *
 */

@XmlType(name = "RoleClassAdministerableMaterial")
@XmlEnum
@XmlRootElement(name = "RoleClassAdministerableMaterial2")
public enum RoleClassAdministerableMaterial2 {
	@XmlEnumValue("ADMM")
	ADMM("ADMM");
	
	private final String value;

    RoleClassAdministerableMaterial2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassAdministerableMaterial2 fromValue(String v) {
        for (RoleClassAdministerableMaterial2 c: RoleClassAdministerableMaterial2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
